com.holonplatform.core.property

## Interface VirtualProperty.Builder<T,B extends VirtualProperty.Builder<T,B>>

- Type Parameters:
    `T` - Property value type
    `B` - Concrete builder type
  All Superinterfaces:
    Localizable, Localizable.Builder<B>, Property<T>, Property.Builder<T,B>, Serializable, Validator.Validatable<T>, VirtualProperty<T>
  Enclosing interface:
    VirtualProperty<T>

      public static interface VirtualProperty.Builder<T,B extends VirtualProperty.Builder<T,B>>
      extends Property.Builder<T,B>, VirtualProperty<T>

  Base interface for `VirtualProperty` building.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.VirtualProperty

      `VirtualProperty.Builder<T,B extends VirtualProperty.Builder<T,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `valueProvider(PropertyValueProvider<T> valueProvider)` Set property value provider

    - ### Methods inherited from interface com.holonplatform.core.property.Property.Builder

      `configuration, configuration, converter, converter, localization, temporalType, validator`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable.Builder

      `message, messageArguments, messageCode`

    - ### Methods inherited from interface com.holonplatform.core.property.VirtualProperty

      `create, create, getValueProvider, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode`

- - ### Method Detail

    - #### valueProvider

          B valueProvider(PropertyValueProvider<T> valueProvider)

      Set property value provider
      Parameters:
        `valueProvider` - PropertyValueProvider to set
      Returns:
        VirtualPropertyBuilder

Copyright © 2017 The Holon Platform. All rights reserved.